Subject: Re: MPC5200 VIRQ question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 12 Dec 2008 08:00:09 +1100

On Thu, 2008-12-11 at 07:59 -0700, Gary Thomas wrote:
> 
> Notice that of_irq_map_one() can fail for a myriad of reasons - all quiet
> (without debugging on).  This function simply masks those into "sorry..."

Right, it's not verbose on failure for various reasons. Most failures
because something went wrong -before- the failure. IE. Your missing
interrupt parent would make it go to the parent etc... and it would fail
later on for a totally different reason than the original missing
interrupt parent.

Also, there's a number of older machines out there with crap
device-trees on which we know it will fail. The PCI code has a fallback
mechanism for them.

However, there's pretty extensive debug output that you can enable
explicitely in that file.

Cheers,
Ben.